/*
This is an Ozeki GPRS Module example code.
In this example the ATmega328P microcontroller has a simple role.
It builds a communication stream between your serial port and the SIM900 chip.

To learn about SIM900 AT commands you should read this datasheet:
http://www.ozeki.hu/attachments/2939/SIM900_AT.pdf

Before starting you should insert a SIM card into the Ozeki GPRS Module.

However you can test some commands and responses without a sim card.
The simplest command is AT\n and the response should be AT\nOK\n
 */

#include <SoftwareSerial.h>

#define SIM900_power_pin 9

SoftwareSerial SIM900_serial(8,7);// RX, TX
char c;

void setup() {
  digitalWrite(SIM900_power_pin, HIGH); //turns SIM900 on
  
  Serial.begin(115200);
  SIM900_serial.begin(19200); //this is the maximum baud rate of SoftwareSerial
}

void loop() {
  if(Serial.available()){
    c = (char)Serial.read();
    SIM900_serial.print(c);
  }
  
  if(SIM900_serial.available()){
    c = (char)SIM900_serial.read();
    Serial.print(c);
  }
}

